SELECT SOH.SalesOrderNumber,
        S.BusinessEntityID, S.Name, 
        SOH.SalesOrderID, SOH.SalesPersonID, SOH.TotalDue
		, SOH.OrderDate, SOH.PurchaseOrderNumber
        ,SOH.BillToAddressID, SOH.ShipToAddressID, SOH.ShipMethodID
         ,SM.Name AS ShipMethod
		   ,BA.AddressLine1 AS BillAddress1, BA.AddressLine2 AS BillAddress2, BA.City AS BillCity, 
            BA.PostalCode AS BillPostalCode, BSP.Name AS BillStateProvince, BCR.Name AS BillCountryRegion, 
            SA.AddressLine1 AS ShipAddress1, SA.AddressLine2 AS ShipAddress2, SA.City AS ShipCity, SA.PostalCode AS ShipPostalCode, 
            SSP.Name AS ShipStateProvince, SCR.Name AS ShipCountryRegion
            ,e.JobTitle, per.[FirstName] + N' ' + per.[LastName] AS [SalesPerson], 
	ph.PhoneNumber,
	st.Name as SalesTerritory 
       FROM [Sales].[SalesOrderHeader] SOH 
		INNER JOIN Sales.Customer C ON SOH.CustomerID = C.CustomerID
        INNER JOIN Sales.Store S ON C.StoreID = S.BusinessEntityID
        INNER JOIN Person.Address SA ON SA.AddressID = SOH.ShipToAddressID -- Shipping address
		INNER JOIN Person.StateProvince SSP ON SA.StateProvinceID = SSP.StateProvinceID 
		INNER JOIN Person.CountryRegion SCR ON SSP.CountryRegionCode = SCR.CountryRegionCode 
		-- Join on sales order headers that have a shipping address
				INNER JOIN Person.Address BA ON SOH.BillToAddressID = BA.AddressID -- Billing Address
				INNER JOIN Person.StateProvince BSP ON BA.StateProvinceID = BSP.StateProvinceID 
				INNER JOIN Person.CountryRegion BCR ON BSP.CountryRegionCode = BCR.CountryRegionCode 
        INNER JOIN Purchasing.ShipMethod SM ON SOH.ShipMethodID = SM.ShipMethodID 
		INNER JOIN [Sales].[SalesPerson] sp ON sp.[BusinessEntityID] = SOH.[SalesPersonID]	
        LEFT OUTER JOIN [Sales].[SalesTerritory] st ON sp.[TerritoryID] = st.[TerritoryID] 
		INNER JOIN [HumanResources].[Employee] e ON SOH.[SalesPersonID] = e.[BusinessEntityID] 
		INNER JOIN [Person].[Person] per ON per.[BusinessEntityID] = sp.[BusinessEntityID]
		INNER JOIN Person.PersonPhone ph ON per.[BusinessEntityID] = ph.[BusinessEntityID]
		WHERE (SOH.SalesOrderID = (@SalesOrderID))